Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ResultFiles

All Superinterfaces:
  java.io.Serializable

    public interface ResultFiles

extends java.io.Serializable

Represent a set of result files, currently our report can be export to result file that has various format: .rst, HTML, pdf, Excel, etc.. User can get a ResultFiles object from VersionResultRecord, all result files that be exported in this version are represented by it.

See Also:
  `ResultVersionRecord`

Method Summary
`int` | `getAnalysisReportAmount()` Represent how many reports of an Analysis report set is selected to generate result.
`java.lang.String` | `getAstFileName()` Get ast format result file name.
`java.lang.String` | `getExcelFileName()` Get excel format result file name.
`java.lang.String` | `getHtmlFileName()` Get HTML format result file name.
`java.lang.String` | `getPdfFileName()` Get pdf format result file name.
`java.lang.String` | `getPostScriptFileName()` Get Post Script format result file name.
`java.lang.String` | `getReportDisplayName()` Get the report display name.
`java.lang.String` | `getReportName()` Get the report instance name.
`java.util.Vector` | `getResultFileNames()` Get all format result file names.
`java.lang.String` | `getRsdFileName()` Get rsd format result file name.
`java.lang.String` | `getRstFileName()` Get rst format result file name.
`java.lang.String` | `getRtfFileName()` Get rtf format result file name.
`java.lang.String` | `getSvgFileName()` Get svg format result file name.
`java.lang.String` | `getTextFileName()` Get plain text format result file name.
`java.lang.String` | `getTiffFileName()` Get tiff format result file name.
`java.lang.String` | `getXmlFileName()` Get XML format result file name.
`boolean` | `hasAstFile()` Check whether ast format result file is included in this result file set.
`boolean` | `hasExcelFile()` Check whether excel format result file is included in this result file set.
`boolean` | `hasHtmlFile()` Check whether HTML format result file is included in this result file set.
`boolean` | `hasPdfFile()` Check whether pdf format result file is included in this result file set.
`boolean` | `hasPostScriptFile()` Check whether Post Script format result file is included in this result file set.
`boolean` | `hasRsdFile()` Check whether rsd format result file is included in this result file set.
`boolean` | `hasRstFile()` Check whether rst format result file is included in this result file set.
`boolean` | `hasRtfFile()` Check whether rtf format result file is included in this result file set.
`boolean` | `hasSvgFile()` Check whether svg format result file is included in this result file set.
`boolean` | `hasTextFile()` Check whether plain text format result file is included in this result file set.
`boolean` | `hasTiffFile()` Check whether tiff format result file is included in this result file set.
`boolean` | `hasXmlFile()` Check whether XML format result file is included in this result file set.
`boolean` | `isAnalysisResult()` Check whether this result is generated by Analysis report set.
`boolean` | `isPLSHtmlFile()` Whether apply Page Level Security(PLS) when view the html format result file.
`boolean` | `isPLSRsdFile()` Whether apply Page Level Security(PLS) when view the rsd format result file.
`boolean` | `isSecurityConstraintHtmlFile()` Whether the html format result file has security constraint if Page Level Security(PLS) will be applied at view time.
`boolean` | `isSecurityConstraintRsdFile()` Whether the rsd format result file has security constraint if Page Level Security(PLS) will be applied at view time.
`boolean` | `isViewedExcelFile()` Whether excel format result file is viewed by users.
`boolean` | `isViewedHtmlFile()` Whether html format result file is viewed by users.
`boolean` | `isViewedPdfFile()` Whether pdf format result file is viewed by users.
`boolean` | `isViewedPostScriptFile()` Whether ps format result file is viewed by users.
`boolean` | `isViewedRsdFile()` Whether rsd format result file is viewed by users.
`boolean` | `isViewedRstFile()` Whether rst format result file is viewed by users.
`boolean` | `isViewedRtfFile()` Whether rtf format result file is viewed by users.
`boolean` | `isViewedTextFile()` Whether text format result file is viewed by users.
`boolean` | `isViewedXmlFile()` Whether xml format result file is viewed by users.

Method Detail

### hasRstFile

    boolean hasRstFile()

  Check whether rst format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getRstFileName

    java.lang.String getRstFileName()

  Get rst format result file name.

  Returns:
    rst format result file name, or return null if hasRetFile() returned false.

### hasHtmlFile

    boolean hasHtmlFile()

  Check whether HTML format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getHtmlFileName

    java.lang.String getHtmlFileName()

  Get HTML format result file name.

  Returns:
    HTML format result file name, or return null if hasHtmlFile() returned false.

### hasPdfFile

    boolean hasPdfFile()

  Check whether pdf format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getPdfFileName

    java.lang.String getPdfFileName()

  Get pdf format result file name.

  Returns:
    pdf format result file name, or return null if hasPdfFile() returned false.

### hasExcelFile

    boolean hasExcelFile()

  Check whether excel format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getExcelFileName

    java.lang.String getExcelFileName()

  Get excel format result file name.

  Returns:
    excel format result file name, or return null if hasExcelFile() returned false.

### hasXmlFile

    boolean hasXmlFile()

  Check whether XML format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getXmlFileName

    java.lang.String getXmlFileName()

  Get XML format result file name.

  Returns:
    XML format result file name, or return null if hasXmlFile() returned false.

### hasPostScriptFile

    boolean hasPostScriptFile()

  Check whether Post Script format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getPostScriptFileName

    java.lang.String getPostScriptFileName()

  Get Post Script format result file name.

  Returns:
    Post Script format result file name, or return null if hasPostScriptFile() returned false.

### hasTextFile

    boolean hasTextFile()

  Check whether plain text format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getTextFileName

    java.lang.String getTextFileName()

  Get plain text format result file name.

  Returns:
    plain text format result file name, or return null if hasTextFile() returned false.

### hasRtfFile

    boolean hasRtfFile()

  Check whether rtf format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.

### getRtfFileName

    java.lang.String getRtfFileName()

  Get rtf format result file name.

  Returns:
    rtf format result file name, or return null if hasRtfFile() returned false.

### hasAstFile

    boolean hasAstFile()

  Check whether ast format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.
  Since:
    version 6

### getAstFileName

    java.lang.String getAstFileName()

  Get ast format result file name.

  Returns:
    ast format result file name, or return null if hasAstFile() returned false.
  Since:
    version 6

### hasTiffFile

    boolean hasTiffFile()

  Check whether tiff format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.
  Since:
    version 7

### getTiffFileName

    java.lang.String getTiffFileName()

  Get tiff format result file name.

  Returns:
    tiff format result file name, or return null if hasTiffFile() returned false.
  Since:
    version 7

### hasSvgFile

    boolean hasSvgFile()

  Check whether svg format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.
  Since:
    version 7

### getSvgFileName

    java.lang.String getSvgFileName()

  Get svg format result file name.

  Returns:
    tiff format result file name, or return null if hasSvgFile() returned false.
  Since:
    version 7

### hasRsdFile

    boolean hasRsdFile()

  Check whether rsd format result file is included in this result file set.

  Returns:
    true if is included, otherwise false.
  Since:
    version 7.1

### getRsdFileName

    java.lang.String getRsdFileName()

  Get rsd format result file name.

  Returns:
    rsd format result file name, or return null if hasRsdFile() returned false.
  Since:
    version 7.1

### getResultFileNames

    java.util.Vector getResultFileNames()

  Get all format result file names.

  Returns:
    all format result file names, if there is not any format in version, this vector's size is 0;

### isAnalysisResult

    boolean isAnalysisResult()

  Check whether this result is generated by Analysis report set. An analysis report set may contains mulitple reports, there are multiple files for every format (exception .ast)

  Returns:
    true if this result generated by Analysis report set. otherwise false.
  Since:
    version 7

### getAnalysisReportAmount

    int getAnalysisReportAmount()

  Represent how many reports of an Analysis report set is selected to generate result. How many reports select, how many files will be generated for every result format (except .ast).

  Returns:
    represent seletec report amount, if `isAnalysisResult()` return false, return -1.
  Since:
    version 7

### getReportName

    java.lang.String getReportName()

  Get the report instance name.

  Returns:
    the report instance name
  Since:
    version 8

### getReportDisplayName

    java.lang.String getReportDisplayName()

  Get the report display name.

  Returns:
    the report display name
  Since:
    version 8

### isViewedRstFile

    boolean isViewedRstFile()

  Whether rst format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasRstFile() returned false.
  Since:
    version 9

### isViewedHtmlFile

    boolean isViewedHtmlFile()

  Whether html format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasHtmlFile() returned false.
  Since:
    version 9

### isViewedPdfFile

    boolean isViewedPdfFile()

  Whether pdf format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasPdfFile() returned false.
  Since:
    version 9

### isViewedExcelFile

    boolean isViewedExcelFile()

  Whether excel format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasExcelFile() returned false.
  Since:
    version 9

### isViewedXmlFile

    boolean isViewedXmlFile()

  Whether xml format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasXmlFile() returned false.
  Since:
    version 9

### isViewedPostScriptFile

    boolean isViewedPostScriptFile()

  Whether ps format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasPostScriptFile() returned false.
  Since:
    version 9

### isViewedTextFile

    boolean isViewedTextFile()

  Whether text format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasTextFile() returned false.
  Since:
    version 9

### isViewedRtfFile

    boolean isViewedRtfFile()

  Whether rtf format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasRtfFile() returned false.
  Since:
    version 9

### isViewedRsdFile

    boolean isViewedRsdFile()

  Whether rsd format result file is viewed by users.

  Returns:
    true only if it is viewed, or return false if hasRsdFile() returned false.
  Since:
    version 9

### isPLSHtmlFile

    boolean isPLSHtmlFile()

  Whether apply Page Level Security(PLS) when view the html format result file.

  Returns:
    true if Page Level Security(PLS) will be applied when view the html format result file.
  Since:
    verison 9

### isPLSRsdFile

    boolean isPLSRsdFile()

  Whether apply Page Level Security(PLS) when view the rsd format result file.

  Returns:
    true if Page Level Security(PLS) will be applied when view the rsd format result file.
  Since:
    verison 9

### isSecurityConstraintHtmlFile

    boolean isSecurityConstraintHtmlFile()

  Whether the html format result file has security constraint if Page Level Security(PLS) will be applied at view time. If Page Level Security(PLS) will be applied at view time, and this method return true, only the user that create this result can view the result, other users will get blank page.

  Returns:
    true if Page Level Security(PLS) will be applied when view the html format result file and the result has security constraint.
  Since:
    version 9

### isSecurityConstraintRsdFile

    boolean isSecurityConstraintRsdFile()

  Whether the rsd format result file has security constraint if Page Level Security(PLS) will be applied at view time. If Page Level Security(PLS) will be applied at view time, and this method return true, only the user that create this result can view the result, other users will get blank page.

  Returns:
    true if Page Level Security(PLS) will be applied when view the rsd format result file and the result has security constraint.
  Since:
    version 9

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD